JsonCutDocs
V2 APIEndpointsProjects

Add captions from speech

Add a word-timed caption track from the speech of the project (source auto: music and effects left out) or of one clip, in timeline time. Required API key scopes: `projects:read`, `projects:write`, `media:read`.

POST
/api/v2/projects/{id}/captions

Authorization

apiKeyAuth

Path Parameters

id*string

Resource identifier

Header Parameters

If-Match?string

Exact current project version. Required for overwriting mutations unless the numeric body version is supplied for compatibility.

Match^"?[0-9]+"?$

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/projects/string/captions" \  -H "If-Match: "1"" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "project": {      "id": "project_01J",      "name": "Launch film",      "version": 5    },    "requestKey": "launch-vo-1",    "affectedClipIds": [      "captions-1"    ],    "clips": 2,    "duration": 14.2  }}